$LastChangedDate: 27-Juil-2011 $

# CL_op_repeatGroundTracks

Longitudes of repeating ground tracks

## Calling Sequence

       [result] = CL_op_repeatGroundTracks(N,P,Q, option)

## Description

- Computes the longitudes of the ground tracks (at a reference latitude) of a repeat orbit.

  result contains :

  - first column : result(:,1) : orbit number

  - second column : result(:,2) : number of orbital days in the cycle

  - third column : result(:,3) : longitude gap between first ground track and current ground track (rad)

  - fourth column : result(:,4) : longitude gap between first ground track and current ground track expressed in reference longitude gaps, where reference longitude gap = 2*%pi/(N*Q+P)

## Parameters

N:

  Value of N (1x1)

P:

  Value of P (1x1)

Q:

  Value of Q (1x1)

option:

  (optional) 0 = all longitudes, 1 = successive longitudes in [0; DL[, 2 = successive longitudes in [-DL/2; DL/2[ such that gap with initial longitude is decreasing (default is 1)

result:

  see description (Mx4)

## Authors

- CNES - DCT/SB

## See also

- CL_op_searchRepeatOrbits

- CL_op_repeat2smaInc

## Examples

    // number of longitude reference gaps
    // versus number of orbital days :
    N = 15;
    P = 3;
    Q = 16;
    result = CL_op_repeatGroundTracks(N,P,Q);
    plot(result(:,2),result(:,4),'s');

    // number of longitude reference gaps versus
    // number of orbital days (decreasing values) :
    result = CL_op_repeatGroundTracks(N,P,Q,option=2);
    plot(result(:,2),result(:,4),'s');